package kz.arta.synergy.workflow.mobile.android.documents.common.models;

/**
 * Created by neox on 14.11.14.
 * Пункт фильтра в документах
 */
public class FiltersDocumentItem {

    /**
     * Имя фильтра
     */
    private String name;

    /**
     * Имеет ли данный фильтр дочерние
     */
    private String hasChildren;

    /**
     * Тип фильтра
     */
    private String filterType;

    /**
     * uuid фильтра
     */
    private String filterID;

    /**
     * uuid объекта фильтра
     */
    private String objectID;

    /**
     * Количество документов внутри фильтра
     */
    private String count;

    /**
     * Уровень
     */
    private int level;

    public String getName() {
        return name;
    }

    public void setName(String name) {
        this.name = name;
    }

    public String getHasChildren() {
        return hasChildren;
    }

    public void setHasChildren(String hasChildren) {
        this.hasChildren = hasChildren;
    }

    public String getFilterType() {
        return filterType;
    }

    public void setFilterType(String filterType) {
        this.filterType = filterType;
    }

    public String getFilterID() {
        return filterID;
    }

    public void setFilterID(String filterID) {
        this.filterID = filterID;
    }

    public String getObjectID() {
        return objectID;
    }

    public void setObjectID(String objectID) {
        this.objectID = objectID;
    }

    public String getCount() {
        return count;
    }

    public void setCount(String count) {
        this.count = count;
    }

    public int getLevel() {
        return level;
    }

    public void setLevel(int level) {
        this.level = level;
    }
}
